### Index

initGenerator (src/.../generator.ts) provideSocketIo (src/.../provide.ts) withDynamicSocketIoNamespace (src/.../provide.ts) withDynamicSocketIoOptions (src/.../provide.ts) withDynamicSocketIoUrl (src/.../provide.ts) withSocketIoNamespace (src/.../provide.ts) withSocketIoOptions (src/.../provide.ts) withSocketIoUrl (src/.../provide.ts)

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`
Parameters :
Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/provide.ts

###

provideSocketIo
`provideSocketIo(...providers: undefined)`
Parameters :
Name | Optional
providers | No
Returns : `Provider[]`

withDynamicSocketIoNamespace
`withDynamicSocketIoNamespace(key: string)`
Parameters :
Name | Type | Optional | Default value
key | `string` | No | `'socket.namespace'`
Returns : `Provider`

withDynamicSocketIoOptions
`withDynamicSocketIoOptions(key: string)`
Parameters :
Name | Type | Optional | Default value
key | `string` | No | `'socket.options'`
Returns : `Provider`

withDynamicSocketIoUrl
`withDynamicSocketIoUrl(key: string)`
Parameters :
Name | Type | Optional | Default value
key | `string` | No | `'socket.url'`
Returns : `Provider`

withSocketIoNamespace
`withSocketIoNamespace(namespace: string)`
Parameters :
Name | Type | Optional
namespace | `string` | No
Returns : `Provider`

withSocketIoOptions
`withSocketIoOptions(options: Partial)`
Parameters :
Name | Type | Optional
options | `Partial` | No
Returns : `Provider`

withSocketIoUrl
`withSocketIoUrl(url: string)`
Parameters :
Name | Type | Optional
url | `string` | No
Returns : `Provider`

# results matching ""

# No results matching ""